BasicInternalFrameUI.ComponentHandler (Java SE 23 & JDK 23)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicInternalFrameUI, class: ComponentHandler
Keywords: javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler class

# Class BasicInternalFrameUI.ComponentHandler

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameUI.ComponentHandler

All Implemented Interfaces:
  `ComponentListener`, `EventListener`

Enclosing class:
  `BasicInternalFrameUI`

protected class BasicInternalFrameUI.ComponentHandler extends Object implements ComponentListener
Component handler.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ComponentHandler()`
  Constructs a `ComponentHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentHidden(ComponentEvent e)`
  Invoked when the component has been made invisible.
  `void`
  `componentMoved(ComponentEvent e)`
  Invoked when the component's position changes.
  `void`
  `componentResized(ComponentEvent e)`
  Invoked when a JInternalFrame's parent's size changes.
  `void`
  `componentShown(ComponentEvent e)`
  Invoked when the component has been made visible.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentHandler

    protected ComponentHandler()
    Constructs a `ComponentHandler`.

- ## Method Details

  - ### componentResized

    public void componentResized(ComponentEvent e)
    Invoked when a JInternalFrame's parent's size changes.
    Specified by:
      `componentResized` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentMoved

    public void componentMoved(ComponentEvent e)
    Invoked when the component's position changes.
    Specified by:
      `componentMoved` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentShown

    public void componentShown(ComponentEvent e)
    Invoked when the component has been made visible.
    Specified by:
      `componentShown` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed

  - ### componentHidden

    public void componentHidden(ComponentEvent e)
    Invoked when the component has been made invisible.
    Specified by:
      `componentHidden` in interface `ComponentListener`
    Parameters:
      `e` - the event to be processed